Coolify logoCoolify
GET
/hetzner/locations

Get all available Hetzner datacenter locations.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Query Parameters

cloud_provider_token_uuid?string

Cloud provider token UUID. Required if cloud_provider_token_id is not provided.

cloud_provider_token_id?stringDeprecated

Deprecated: Use cloud_provider_token_uuid instead. Cloud provider token UUID.

Response Body

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/hetzner/locations"
[  {    "id": 0,    "name": "string",    "description": "string",    "country": "string",    "city": "string",    "latitude": 0,    "longitude": 0  }]
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}